Skip to main content
POST
/
v2
/
passes
/
{passTypeIdentifier}
/
{serialNumber}
/
images
/
{type}
/
{resolution}
Create Update Pass Images Type Resolution
curl --request POST \
  --url https://api.loyalty.dog/v2/passes/{passTypeIdentifier}/{serialNumber}/images/{type}/{resolution} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'image=<string>'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

JWT access token obtained from POST /v2/token.

Headers

authorization
string | null

Path Parameters

type
enum<string>
required

Supported images Boarding pass: logo, icon, footer Coupon: logo, icon, strip Event ticket: logo, icon, strip, background, thumbnail If you specify a strip image, do not specify a background image or a thumbnail. Generic: logo, icon, thumbnail Store card: logo, icon, strip

Args: StrEnum (type): description

Available options:
logo,
icon,
strip,
footer,
background,
thumbnail
resolution
enum<string>
required
Available options:
normal,
high,
ultra
passTypeIdentifier
string | null
required
serialNumber
string | null
required

Query Parameters

passId
string | null
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

Body

multipart/form-data
image
string
required

Response

Successful Response